/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef MIRAI_UTILS_H
#define MIRAI_UTILS_H

#include <algorithm> 
#include <cctype>
#include <locale>
#include <regex>

void ltrim(std::string& s);
void rtrim(std::string& s);
void trim(std::string& s);

std::string ltrim_copy(std::string s);
std::string rtrim_copy(std::string s);
std::string trim_copy(std::string s);

bool isDate(const std::string& dateStr);

#endif
